#property copyright "Andrew West, 12/07/2011"
#property link      "thesoftware@hotmail.co.uk"
#property indicator_chart_window
extern bool Alerts = true;
extern int TF_Count = 2;
extern int Avr_Count = 20;
extern int myperiod = 240;
extern color BullishColor=LimeGreen,
             BearishColor=Red,
             textColor=Yellow;  
 extern int Number_of_Bars_Back = 1;            
extern int Top=5,fontSize=20;
extern string fonttype = "Tahoma";
int scaleX=5,  //makes width closer
Left=-10, // to move the arrows left or right
scaleY=22,
offsetX= 110,
offsetY=20,
corner=0;
            
int PreviousSignal[]={240};                
string Currencies[] = {"AUD","CAD","CHF","EUR","GBP","JPY","NZD","USD"}; 
 int m[];                  
int    SymbolCount = 0; 
           
color  RFontColor[];           
int period[]={240};
string periodString[]={"H4", "         L-TDI     C-TDI   STOC    SIGNAL "};
string Symbols[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
   {
    
    ArrayInitialize(PreviousSignal,2);
   int CurrencyCount = ArrayRange(Currencies, 0);
   int Loop, SubLoop;
   string TempSymbol;
   for(Loop = 0; Loop < CurrencyCount; Loop++)
       for(SubLoop = 0; SubLoop < CurrencyCount; SubLoop++)
         {
           TempSymbol = Currencies[Loop] + Currencies[SubLoop];
           if(MarketInfo(TempSymbol, MODE_BID) > 0)
             {
               ArrayResize(Symbols, SymbolCount + 1);
                 ArrayResize(m, SymbolCount + 1);
               Symbols[SymbolCount] = TempSymbol;
              
               SymbolCount++;
             }
         }
   //return(0);
  
//+------------------------------------------------------------------+
for(int x=0;x<TF_Count-1;x++)
     for(int y=0;y<SymbolCount;y++)
      {
                              
         ObjectCreate("Frame"+x+y,OBJ_LABEL,0,0,0,0,0);
         ObjectSet("Frame"+x+y,OBJPROP_CORNER,corner);
         ObjectSet("Frame"+x+y,OBJPROP_XDISTANCE,x*scaleX+offsetX+7+Left);
         ObjectSet("Frame"+x+y,OBJPROP_YDISTANCE,y*scaleY+25+Top);
         ObjectSetText("Frame"+x+y,"l",
                       20,"Wingdings",textColor);
                       
      ObjectCreate("lctdi"+y,OBJ_LABEL,0,0,0,0,0);   
      ObjectSet("lctdi"+y,OBJPROP_CORNER,corner);
      ObjectSet("lctdi"+y,OBJPROP_XDISTANCE,offsetX+55+Left);
      ObjectSet("lctdi"+y,OBJPROP_YDISTANCE,y*(scaleY)+offsetY+8+Top);
               
      ObjectCreate("ctdi"+y,OBJ_LABEL,0,0,0,0,0);   
      ObjectSet("ctdi"+y,OBJPROP_CORNER,corner);
      ObjectSet("ctdi"+y,OBJPROP_XDISTANCE,offsetX+105+Left);
      ObjectSet("ctdi"+y,OBJPROP_YDISTANCE,y*(scaleY)+offsetY+8+Top);
      
            
      ObjectCreate("stocs"+y,OBJ_LABEL,0,0,0,0,0);   
      ObjectSet("stocs"+y,OBJPROP_CORNER,corner);
      ObjectSet("stocs"+y,OBJPROP_XDISTANCE,offsetX+155+Left);
      ObjectSet("stocs"+y,OBJPROP_YDISTANCE,y*(scaleY)+offsetY+8+Top);
      
      ObjectCreate("rec"+y,OBJ_LABEL,0,0,0,0,0);   
      ObjectSet("rec"+y,OBJPROP_CORNER,corner);
      ObjectSet("rec"+y,OBJPROP_XDISTANCE,offsetX+205+Left);
      ObjectSet("rec"+y,OBJPROP_YDISTANCE,y*(scaleY)+offsetY+8+Top);
     
      ObjectSetText("rec"+y,"",12,fonttype,Black);
     
}
for(y=0;y<SymbolCount;y++)
  {
      ObjectCreate("textSignal"+y,OBJ_LABEL,0,0,0,0,0);   
      ObjectSet("textSignal"+y,OBJPROP_CORNER,corner);
      ObjectSet("textSignal"+y,OBJPROP_XDISTANCE,offsetX-100+Left);
      ObjectSet("textSignal"+y,OBJPROP_YDISTANCE,y*(scaleY)+offsetY+8+Top);
      ObjectSetText("textSignal"+y, Symbols[y],14,fonttype,textColor);    
        
  }
  for(x=0;x<TF_Count;x++)
  {
      ObjectCreate("textPeriod"+x,OBJ_LABEL,0,0,0,0,0);   
      ObjectSet("textPeriod"+x,OBJPROP_CORNER,corner);
      ObjectSet("textPeriod"+x,OBJPROP_XDISTANCE,x*scaleX+offsetX+5 +Left);
      ObjectSet("textPeriod"+x,OBJPROP_YDISTANCE,offsetY-20+Top);
      ObjectSetText("textPeriod"+x,periodString[x],10,"Tahoma bold",textColor);
  }
  
 
  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
 //ObjectsDeleteAll();
 ObjectsDeleteAll(0, OBJ_LABEL);  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()

  {

for(int x=0;x<TF_Count;x++)
for(int y=0;y<SymbolCount;y++)

{
for(int i=1;i<=20;i++)

 
    //------------------------------------------------------------
if (iCustom(Symbols[y], period[x],"Heiken Ashi",0,3,0)> iCustom(Symbols[y],period[x],"Heiken Ashi",0,2,0))
ObjectSetText("Frame"+x+y,"l",20,"Wingdings",BullishColor);
else
if (iCustom(Symbols[y], period[x],"Heiken Ashi",0,3,0)< iCustom(Symbols[y],period[x],"Heiken Ashi",0,2,0))
ObjectSetText("Frame"+x+y,"l",20,"Wingdings",BearishColor);



if (iCustom(Symbols[y], myperiod,"TDI Red Green",4,1) > iCustom(Symbols[y], myperiod,"TDI Red Green",5,1))
ObjectSetText("lctdi"+y,"",20,"Wingdings",BullishColor);
else
if (iCustom(Symbols[y], myperiod,"TDI Red Green",4,1) < iCustom(Symbols[y], myperiod,"TDI Red Green",5,1))
ObjectSetText("lctdi"+y,"",20,"Wingdings",BearishColor);

if (iCustom(Symbols[y], myperiod,"TDI Red Green",4,0) > iCustom(Symbols[y], myperiod,"TDI Red Green",5,0))
ObjectSetText("ctdi"+y,"",20,"Wingdings",BullishColor);
else
if (iCustom(Symbols[y], myperiod,"TDI Red Green",4,0) < iCustom(Symbols[y], myperiod,"TDI Red Green",5,0))
ObjectSetText("ctdi"+y,"",20,"Wingdings",BearishColor);

if (iStochastic(Symbols[y],myperiod,8,3,3,MODE_SMA,0,MODE_MAIN,0) > iStochastic(Symbols[y],myperiod,8,3,3,MODE_SMA,0,MODE_MAIN,1))
ObjectSetText("stocs"+y,"",16,"Wingdings",BullishColor);
else
if (iStochastic(Symbols[y],myperiod,8,3,3,MODE_SMA,0,MODE_MAIN,0) < iStochastic(Symbols[y],myperiod,8,3,3,MODE_SMA,0,MODE_MAIN,1))
ObjectSetText("stocs"+y,"",16,"Wingdings",BearishColor);
else
ObjectSetText("stocs"+y,"",16,"Wingdings",Silver);

//if(iTime(NULL,myperiod,0) > iTime(NULL,myperiod,1))
////if (New_Bar())

if (iCustom(Symbols[y], myperiod,"TDI Red Green",4,0) > iCustom(Symbols[y], myperiod,"TDI Red Green",5,0) &&
 iCustom(Symbols[y], myperiod,"TDI Red Green",4,1) < iCustom(Symbols[y], myperiod,"TDI Red Green",5,1) &&
  iCustom(Symbols[y], myperiod,"Heiken Ashi",0,3,0)> iCustom(Symbols[y],myperiod,"Heiken Ashi",0,2,0) &&
  iCustom(NULL, myperiod,"Heiken Ashi",0,0,0) == iCustom(NULL,myperiod,"Heiken Ashi",0,2,0) &&
   iStochastic(Symbols[y],myperiod,8,3,3,MODE_SMA,0,MODE_MAIN,0) > iStochastic(Symbols[y],myperiod,8,3,3,MODE_SMA,0,MODE_MAIN,1) && 
iMA(Symbols[y],myperiod,5,1,1,0,1) < iClose(Symbols[y],myperiod,1))
{
ObjectSetText("rec"+y,"LONG",12,fonttype,BullishColor);
if( m[y] == 0 && Alerts)
{
Alert(Symbols[y]+",  TDI BUY SETUP,  @ "+iClose(Symbols[y], 240,0));
SendMail(Symbols[y]  + " ,TDI BUY SETUP!!!",Symbols[y]  + " BUY SETUP @ "+iClose(Symbols[y], 240,0));
PlaySound("Alert.wav"); 
m[y] = 1;
}
}
else
if (iCustom(Symbols[y], myperiod,"TDI Red Green",4,0) < iCustom(Symbols[y], myperiod,"TDI Red Green",5,0)&& 
iCustom(Symbols[y], myperiod,"TDI Red Green",4,1) > iCustom(Symbols[y], myperiod,"TDI Red Green",5,1) &&
 iCustom(Symbols[y], myperiod,"Heiken Ashi",0,3,0)< iCustom(Symbols[y],myperiod,"Heiken Ashi",0,2,0) &&
 iCustom(NULL, myperiod,"Heiken Ashi",0,0,0) == iCustom(NULL,myperiod,"Heiken Ashi",0,2,0) &&
  iStochastic(Symbols[y],myperiod,8,3,3,MODE_SMA,0,MODE_MAIN,0) < iStochastic(Symbols[y],myperiod,8,3,3,MODE_SMA,0,MODE_MAIN,1) &&
iMA(Symbols[y],myperiod,5,1,1,0,1)> iClose(Symbols[y],myperiod,1) )
{
ObjectSetText("rec"+y,"SHORT",12,fonttype,BearishColor);
if( m[y] == 0 && Alerts)
{
Alert(Symbols[y]+", TDI SELL SETUP,  @ "+iClose(Symbols[y], 240,0));
SendMail(Symbols[y]  + " ,TDI SELL SETUP!!!",Symbols[y]  + " SELL SETUP @ "+iClose(Symbols[y], 240,0));
PlaySound("Alert.wav"); 
m[y] = 1;
}}


} 




   return(0);
  }
//+------------------------------------------------------------------+

